## scamp 2.10.0

=== tests/requirements.txt ===
numpy
astropy

## scamp 2.0.4

=== debian/changelog ===
scamp (2.0.4-2) unstable; urgency=low

  * Use pkgconfig for plplot configuration
  * Temporarily depend of libshp-dev to avoid FTBS

 -- Ole Streicher <olebole@debian.org>  Fri, 05 Jun 2015 14:06:38 +0200

scamp (2.0.4-1) unstable; urgency=low

  * Initial release. Closes: #786901

 -- Ole Streicher <olebole@debian.org>  Tue, 26 May 2015 18:02:17 +0200

=== debian/control ===
Source: scamp
Section: science
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
	       libatlas-base-dev,
	       libfftw3-dev,
	       libplplot-dev,
	       libshp-dev,
	       pkg-config
Standards-Version: 3.9.6
Homepage: http://www.astromatic.net/software/scamp
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/scamp.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-astro/packages/scamp.git

Package: scamp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, curl
Description: Compute astrometric and photometric solutions
 SCAMP reads SExtractor catalogs and computes astrometric and
 photometric solutions for any arbitrary sequence of FITS images in a
 completely automatic way.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
http://www.astromatic.net/download/scamp/scamp-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## scamp 2.0.4+dfsg

=== debian/changelog ===
scamp (2.0.4+dfsg-1) unstable; urgency=medium

  * Remove non-dfsg-free PDF from upstream tarball. Closes: #883758

 -- Ole Streicher <olebole@debian.org>  Thu, 07 Dec 2017 16:27:54 +0100

scamp (2.0.4-5) unstable; urgency=low

  * Fix segfault in load_field() at field.c:343 (Closes: #883236)
  * Push Standards-Version to 4.1.2. Change URLs to use https

 -- Ole Streicher <olebole@debian.org>  Fri, 01 Dec 2017 09:13:05 +0100

scamp (2.0.4-4) unstable; urgency=low

  * Switch to git-buildpackage patch handling
  * Drop Directly-include-atlas-clapack.h-instead-of-a-define.patch
  * Fix plplot config for plplot >= 5.13
  * Push Standards-Version to 4.1.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 25 Sep 2017 13:32:22 +0200

scamp (2.0.4-3) unstable; urgency=low

  * Update standards-version to 3.9.8 (no changes)
  * Update VCS fields, add ASCL-Id
  * Fix query URL. Closes: #832652

 -- Ole Streicher <olebole@debian.org>  Fri, 29 Jul 2016 11:02:28 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@  --with autoreconf

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://www.astromatic.net/download/scamp/scamp-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## scamp 2.9.2

=== debian/changelog ===
scamp (2.9.2-2) unstable; urgency=medium

  * Appen -fcommon to CFLAGS to allow compilation with gcc-10 (Closes: #957778)

 -- Ole Streicher <olebole@debian.org>  Fri, 31 Jul 2020 15:45:59 +0200

scamp (2.9.2-1) unstable; urgency=low

  * New upstream version 2.9.2. Rediff patches
  * Push dh-compat to 13
  * Add "Rules-Requires-Root: no" to d/control

 -- Ole Streicher <olebole@debian.org>  Fri, 26 Jun 2020 10:01:41 +0200

scamp (2.7.8-1) unstable; urgency=low

  * Update VCS fields to use salsa.d.o
  * Use new name source-extractor
  * Use github/astromatic as upstream
  * New upstream version 2.7.8. Rediff patches
  * Push Standards-Version to 4.5.0. No changes needed
  * Push compat to 12. Replace d/compat by debhelper-compat build dependency
  * Don't try to configure debian/ subdir
  * New build dependencies libcurl4-*-dev, python3, numpy, astropy
  * Remove useless autoreconf build depends
  * Add CI test

 -- Ole Streicher <olebole@debian.org>  Fri, 20 Mar 2020 14:43:23 +0100

=== debian/control ===
Source: scamp
Section: science
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper-compat (= 13),
               libatlas-base-dev,
               libcurl4-openssl-dev | libcurl4-nss-dev | libcurl4-gnutls-dev,
               libfftw3-dev,
               libplplot-dev (>= 5.13.0),
               libshp-dev,
               pkg-config,
               python3,
               python3-astropy,
               python3-numpy
Standards-Version: 4.5.0
Homepage: https://www.astromatic.net/software/scamp
Vcs-Git: https://salsa.debian.org/debian-astro-team/scamp.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/scamp
Rules-Requires-Root: no

Package: scamp
Architecture: any
Depends: curl, ${misc:Depends}, ${shlibs:Depends}
Description: Compute astrometric and photometric solutions
 SCAMP reads SExtractor catalogs and computes astrometric and
 photometric solutions for any arbitrary sequence of FITS images in a
 completely automatic way.

## scamp 2.10.0

=== debian/changelog ===
scamp (2.10.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Bas Couwenberg ]
  * Drop unused libshp-dev build dependency.

  [ Ole Streicher ]
  * Replace atlas with lapack (Closes: #1056686)
  * Remove buggy openblas test
  * Push Standards-Version to 4.7.0. No changes required

 -- Ole Streicher <olebole@debian.org>  Sun, 01 Sep 2024 14:48:09 +0200

scamp (2.10.0-2) unstable; urgency=medium

  * Increase internal RMS limit
  * Push Standards-Version to 4.5.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Tue, 29 Dec 2020 14:27:58 +0100

scamp (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 07 Dec 2020 16:55:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               libatlas-base-dev,
+               libblas-dev,
                libcurl4-openssl-dev | libcurl4-nss-dev | libcurl4-gnutls-dev,
                libfftw3-dev,
-               libplplot-dev (>= 5.13.0),
-               libshp-dev,
+               liblapacke-dev,
+               libplplot-dev,
                pkg-config,
                python3,
                python3-astropy,
                python3-numpy
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Homepage: https://www.astromatic.net/software/scamp
 Vcs-Git: https://salsa.debian.org/debian-astro-team/scamp.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/scamp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_CFLAGS_MAINT_APPEND = -fcommon

%:
	dh $@  --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-openblas

## scamp 2.13.1

=== debian/changelog ===
scamp (2.13.1-1) unstable; urgency=medium

  * New upstream version 2.13.1
  * Rediff patches
  * Push Standards-Version to 4.7.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Wed, 26 Mar 2025 21:18:29 +0100

scamp (2.10.0-4) unstable; urgency=medium

  * Add 'd/clean' and add un-cleaned elements. (Closes: #1046506)
  * 'd/control':
    - Move from 'Build-Depends' pkg-config to pkgconf.
    - Add myself to 'Uploaders'.
    - Add 'Build-Depends' 'architecture-is-64-bit', only build on 64-bit
      architectures.
  * 'd/copyright':
    - Remove 'Files-Excluded: doc/scamp.pdf', no longer in upstream git.
    - Add 'Files: debian/*' section and add appropriate persons.
    - Add section for GPL-2.0+ 'src/chealpix.c' and 'chealpix.h'.
    - Change 'Source' to packages GitHub repository.
  * 'd/rules':
    - Add hardening 'all'.
    - Add 'DH_VERBOSE' but leave disabled.
  * 'd/watch':
    - Remove 'ds' repack.
    - Rework to latest way to pull tags from GitHub.
  * 'd/upstream/metadata': Add 'Repository', 'Repository-Browse',
    'Bug-Database', 'Bug-Submit' all pointed at GitHub repository.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 13 Oct 2024 06:23:03 +0100

=== debian/tests/control ===
Tests: scamp-test
Depends: scamp, python3-numpy, python3-astropy
Restrictions: allow-stderr

## scamp 2.14.0

=== debian/changelog ===
scamp (2.14.0-1) unstable; urgency=medium

  * New upstream version 2.14.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 09 Apr 2025 22:40:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Section: science
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Uploaders: Ole Streicher <olebole@debian.org>,
+           Phil Wyett <philip.wyett@kathenas.org>
+Build-Depends: architecture-is-64-bit,
+               debhelper-compat (= 13),
                libblas-dev,
                libcurl4-openssl-dev | libcurl4-nss-dev | libcurl4-gnutls-dev,
                libfftw3-dev,
                liblapacke-dev,
                libplplot-dev,
-               pkg-config,
+               pkgconf,
                python3,
                python3-astropy,
                python3-numpy
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.astromatic.net/software/scamp
 Vcs-Git: https://salsa.debian.org/debian-astro-team/scamp.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/scamp

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export DEB_CFLAGS_MAINT_APPEND = -fcommon

=== debian/watch ===
version=4
https://github.com/astromatic/scamp/tags .*/v?(\d.*)@ARCHIVE_EXT@
